import { injectable } from 'inversify';
import { inject } from '../../core/inject';
import type { SessionHelperInterface } from '../session/session-helper-interface';
import { FileAppWindow } from './file-app-window';

@injectable()
export class MainAppWindow extends FileAppWindow {
  public constructor(@inject('session-helper') sessionHelper: SessionHelperInterface) {
    super(sessionHelper, 'frontend/index.html', {
      webPreferences: {
        nodeIntegration: true,
      },
    });
  }
}
